6.0.0-git
2020-10-26

[#6665] 'VALARM' descriptor not addressed in Kronolith libs
Summary 'VALARM' descriptor not addressed in Kronolith libs
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester rsteele (at) archer-group (dot) com
Created 2008-04-30 (4562 days ago)
Due
Updated 2011-09-01 (3343 days ago)
Assigned 2009-07-14 (4122 days ago)
Resolved 2011-08-10 (3365 days ago)
Milestone 3.0.9
Patch No

History
2011-08-10 17:33:11 Jan Schneider Taken from Gunnar Wrobel
State ⇒ Resolved
Milestone ⇒ 3.0.9
 
2011-08-10 17:32:57 Git Commit Comment #15 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Import VALARM components from iCalendar 2.0 data (Request #6665).

  3 files changed, 33 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/1eaf3dfe109fc7d9d8c858d83d0832861d799386
2011-05-22 17:38:21 Jan Schneider Version ⇒ Git master
Milestone ⇒ 3.1
 
2010-12-21 09:56:56 mase (at) setho (dot) org Comment #14 Reply to this comment
Here the same problem with syncevolution and evolution.
2010-10-28 17:53:15 sberthelot (at) emisfr (dot) com Comment #13 Reply to this comment
Another patch for VALARM support.
This patch fixes alarm sync on Android 2.2 (HTC Desire) with Synthesis 
SyncML client.

Since this is the only (non-google) syncml client with calendar 
support known on Android right now, this patch seems important (and 
doesn't break anything else)

Please add it if not already done on next minor release cycle ...
2010-10-20 07:32:14 almarin (at) um (dot) es Comment #12
New Attachment: Sync4j.php.patch Download
Reply to this comment
The patch. Sorry
2010-10-20 07:31:23 almarin (at) um (dot) es Comment #11 Reply to this comment
I used this patch and it works fine, but after that I realized that 
alarms doesn't sync properly with outlook (SyncML).

I attach a patch to solve solve


2009-07-14 04:57:27 Chuck Hagenbuch Assigned to Gunnar Wrobel
Assigned to Jan Schneider
State ⇒ Assigned
 
2009-07-13 09:25:24 andre (dot) schlegel (at) emsys (dot) de Comment #10
New Attachment: Driver[2].php.patch Download
Reply to this comment
Because of Ticket #7470 is pending i have modified the driver patch to 
support sunbird/mozilla alarm dismissal only. Snozze is not 
implemented yet. This patch works fine for me, please test it for you.


2009-05-13 20:51:03 sebo (at) nodomain (dot) com Comment #9
New Attachment: Driver.php.patch Download
Reply to this comment
Another patch for VALARM support.
2008-10-10 21:30:26 Chuck Hagenbuch Comment #8
Taken from Horde DevelopersHorde Developers
Taken from Jan Schneider
Taken from Chuck Hagenbuch
State ⇒ Duplicate
Reply to this comment
Okay - this isn't a duplicate in a traditional sense, but since #7470 
includes this patch, I'm closing this in favor of the more 
comprehensive patch.
2008-10-10 20:26:58 elliot (at) marlboro (dot) edu Comment #7 Reply to this comment
For everyone following this bug, I've posted a more complete patch 
including Sunbird/Lightning dismiss and snooze here:

http://bugs.horde.org/ticket/7470/



Please let me know if it helps.
2008-08-18 16:41:58 tkrah (at) fachschaft (dot) imn (dot) htwk-leipzig (dot) de Comment #6 Reply to this comment
I'll take a look into this, facing this too.
2008-07-27 21:43:13 hugh (at) myukin (dot) com Comment #5 Reply to this comment
Hm. Tried it with Kontact and Thunderbird Lightning - adding,
updating and removing alarms does work there, can you try some of
these clients?
I can add, update, and remove alarms from Lightning and Sunbird thanks 
to your patch, that is not the problem.  The problem is that Lightning 
or Sunbird continuously reminds me of past alarms after I have 
dismissed them.  I have even disabled the preference option in 
Lightning to remind me of passed events and yet passed events with 
alarms are still being reminded.
2008-07-27 16:39:32 tkrah (at) fachschaft (dot) imn (dot) htwk-leipzig (dot) de Comment #4 Reply to this comment
Hm. Tried it with Kontact and Thunderbird Lightning - adding, updating 
and removing alarms does work there, can you try some of these clients?
2008-07-26 02:31:18 hugh (at) myukin (dot) com Comment #3 Reply to this comment
Made some patches to make this work, at least for duration value.
description and action are only "set", no parsing done here (display,
audio) etc..
Addressed only display action + trigger. Works fine here, valarm
trigger can be set and updated.
This patch works for me and allows me to set alarms from sunbird.   
However, after dismissing an alarm, it just re-appears after a few 
minutes or the next time I restart sunbird.
2008-06-27 11:44:15 tkrah (at) fachschaft (dot) imn (dot) htwk-leipzig (dot) de Comment #2
New Attachment: valarm.patch Download
Reply to this comment
Made some patches to make this work, at least for duration value.

description and action are only "set", no parsing done here (display, 
audio) etc..

Addressed only display action + trigger. Works fine here, valarm 
trigger can be set and updated.
2008-05-17 20:52:00 Jan Schneider Version ⇒ HEAD
 
2008-05-02 17:24:29 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 2. Medium
 
2008-05-01 21:11:28 Chuck Hagenbuch Assigned to Chuck Hagenbuch
Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
Milestone ⇒ 2.2
 
2008-04-30 22:20:03 rsteele (at) archer-group (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ 'VALARM' descriptor not addressed in Kronolith libs
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
I prioritized this as 'high' because data is lost when publishing 
events to the WebDAV interface.



Kronolith does not do anything with the 'VALARM' field of iCalendar 
files.  This results in alarms not being saved in the database, and 
reminders data being lost when published to the WebDAV interface from 
iCal compliant clients.  It currently looks for 'AALARM' (part of the 
vCal spec), but I think it would be greatly beneficial to look for 
'VALARM' (part of the iCal spec) as well.  It looked like the files 
that would need to be patched are as follows (though there may be 
others):



kronolith/lib/Driver.php

lib/Horde/iCalendar.php


Saved Queries